Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
List of roles.
Onderliggende attributen tonen
results.accessKeysDependencyCount
integer
verplicht
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Onderliggende attributen tonen
results.actions.name
string
verplicht
The name of the action.
results.actions.type
string
verplicht
The type that the action belongs to.
results.createdAt
string
verplicht
When this role was created.
results.description
string
Role description.
results.id
string
verplicht
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Onderliggende attributen tonen
results.metadata.clouds
array of string
results.name
string
verplicht
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende attributen tonen
The IAM policy record.
results.policies.createdAt
string
verplicht
When the IAM Policy was created.
results.policies.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
results.policies.definitions.actions
array of string
verplicht
A list of actions
results.policies.definitions.conditionsAll
array of object
Onderliggende attributen tonen
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
verplicht
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
verplicht
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
verplicht
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
verplicht
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
verplicht
ID of the IAM Policy.
results.policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
verplicht
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
verplicht
When this role was last updated.
results.usersDependencyCount
integer
verplicht
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Verzoek-payload
name
string
verplicht
Role name.
description
string
Role description.
policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende parameters tonen
policies.id
string
verplicht
ID of the IAM Policy.
policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Antwoord-payload
accessKeysDependencyCount
integer
verplicht
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Onderliggende attributen tonen
actions.name
string
verplicht
The name of the action.
actions.type
string
verplicht
The type that the action belongs to.
createdAt
string
verplicht
When this role was created.
description
string
Role description.
id
string
verplicht
ID of the role.
metadata
object
Metadata for the IAM Role.
Onderliggende attributen tonen
metadata.clouds
array of string
name
string
verplicht
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende attributen tonen
The IAM policy record.
policies.createdAt
string
verplicht
When the IAM Policy was created.
policies.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
policies.definitions.actions
array of string
verplicht
A list of actions
policies.definitions.conditionsAll
array of object
Onderliggende attributen tonen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
verplicht
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
verplicht
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
verplicht
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
verplicht
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
verplicht
ID of the IAM Policy.
policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
verplicht
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
verplicht
When this role was last updated.
usersDependencyCount
integer
verplicht
The number of users this role is assigned to.
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Antwoord-payload
accessKeysDependencyCount
integer
verplicht
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Onderliggende attributen tonen
actions.name
string
verplicht
The name of the action.
actions.type
string
verplicht
The type that the action belongs to.
createdAt
string
verplicht
When this role was created.
description
string
Role description.
id
string
verplicht
ID of the role.
metadata
object
Metadata for the IAM Role.
Onderliggende attributen tonen
metadata.clouds
array of string
name
string
verplicht
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende attributen tonen
The IAM policy record.
policies.createdAt
string
verplicht
When the IAM Policy was created.
policies.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
policies.definitions.actions
array of string
verplicht
A list of actions
policies.definitions.conditionsAll
array of object
Onderliggende attributen tonen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
verplicht
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
verplicht
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
verplicht
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
verplicht
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
verplicht
ID of the IAM Policy.
policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
verplicht
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
verplicht
When this role was last updated.
usersDependencyCount
integer
verplicht
The number of users this role is assigned to.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Verzoek-payload
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Onderliggende parameters tonen
policies.id
string
verplicht
ID of the IAM Policy.
policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Onderliggende parameters tonen
actions.name
string
verplicht
The name of the action.
actions.type
string
verplicht
The type that the action belongs to.
Antwoord-payload
accessKeysDependencyCount
integer
verplicht
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Onderliggende attributen tonen
actions.name
string
verplicht
The name of the action.
actions.type
string
verplicht
The type that the action belongs to.
createdAt
string
verplicht
When this role was created.
description
string
Role description.
id
string
verplicht
ID of the role.
metadata
object
Metadata for the IAM Role.
Onderliggende attributen tonen
metadata.clouds
array of string
name
string
verplicht
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
verplicht
IAM Policies this role contains.
Onderliggende attributen tonen
The IAM policy record.
policies.createdAt
string
verplicht
When the IAM Policy was created.
policies.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
policies.definitions.actions
array of string
verplicht
A list of actions
policies.definitions.conditionsAll
array of object
Onderliggende attributen tonen
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
verplicht
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
verplicht
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
verplicht
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
verplicht
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
verplicht
ID of the IAM Policy.
policies.type
string
verplicht
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
verplicht
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
verplicht
When this role was last updated.
usersDependencyCount
integer
verplicht
The number of users this role is assigned to.
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'